## e-cal-component-bag e-cal-component-bag — bag of ECalComponent-s, split into spans |

## Types and Values

#define | E_TYPE_CAL_COMPONENT_BAG
#define | E_TYPE_CAL_COMPONENT_BAG_ITEM
| ECalComponentBag

## Object Hierarchy

        GObject
        ╰── ECalComponentBag

## Includes

    #include <calendar/gui/e-cal-component-bag.h>

## Description

The ECalComponentBag is a bag of the ECalComponent-s, which sorts the components into spans in a way that no two overlapping components share the same span.

The object is thread-safe, except of `e_cal_component_bag_get_span()`. If thread safety is needed, use `e_cal_component_bag_dup_span()`.

## Functions

## Types and Values

### E_TYPE_CAL_COMPONENT_BAG

    #define E_TYPE_CAL_COMPONENT_BAG e_cal_component_bag_get_type ()

### E_TYPE_CAL_COMPONENT_BAG_ITEM

    #define E_TYPE_CAL_COMPONENT_BAG_ITEM e_cal_component_bag_item_get_type ()

### ECalComponentBag

    typedef struct _ECalComponentBag ECalComponentBag;